/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package doctor

import (
	e "simrs-vx/internal/domain/main-entities/doctor"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Doctor) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Code = inputSrc.Code
	data.Employee_Id = inputSrc.Employee_Id
	data.IHS_Number = inputSrc.IHS_Number
	data.SIP_Number = inputSrc.SIP_Number
	data.Unit_Code = inputSrc.Unit_Code
	data.Specialist_Code = inputSrc.Specialist_Code
	data.Subspecialist_Code = inputSrc.Subspecialist_Code
}
